CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

CommandDisplayName Property (ActiveX)

2023-1-3 20:18| 发布者: admin| 查看: 357| 评论: 0|来自: AutoCAD

摘要: 指定工具栏上按钮的显示命令名称。

指定工具栏上按钮的显示命令名称。

支持的平台:仅窗口

签名

工 务 局:

object.CommandDisplayName
对象

类型:工具栏项

此属性适用的对象。

属性值

只读:

类型:字符串

命令名称的字符串。

言论

没有额外的评论。

例子

工 务 局:

Sub Example_CommandDisplayName()
    Dim currMenuGroup As AcadMenuGroup
    Set currMenuGroup = ThisDrawing.Application.MenuGroups.Item(0)

    Dim newToolBar As AcadToolbar
    Set newToolBar = currMenuGroup.Toolbars.Add("TestNewToolbar")

    ' Add a button to the new toolbar.
    Dim newButton1 As IAcadToolbarItem
    Dim openMacro As String

    ' Assign the macro string the VB equivalent of "ESC ESC _open "
    openMacro = Chr(3) & Chr(3) & Chr(95) & "open" & Chr(32)

    Set newButton1 = newToolBar.AddToolbarButton("", "NewButton1", "Open a file.", openMacro)

    ' Display the toolbar
    newToolBar.Visible = True

    newButton1.CommandDisplayName = "Open a File"

    ' Read the current value of the Help string
    MsgBox "The current CommandDisplayName for the toolbar button is: " & newButton1.CommandDisplayName

    ' Change the value of the CommandDisplayName
    newButton1.CommandDisplayName = "Open File"

    ' Read the new value of the CommandDisplayName
    MsgBox "The new CommandDisplayName for the toolbar button is: " & newButton1.CommandDisplayName
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_CommandDisplayName()
    (setq acadObj (vlax-get-acad-object))
    (setq currMenuGroup (vla-Item (vla-get-MenuGroups acadObj) 0))

    ;; Create the new toolbar
    (setq newToolBar (vla-Add (vla-get-Toolbars currMenuGroup) "TestToolbar"))

    ;; Assign the macro string the VB equivalent of "ESC ESC _open "
    (setq openMacro (strcat (Chr 3) (Chr 3) (Chr 95) "open" (Chr 32)))
    (setq newButton1 (vla-AddToolbarButton newToolBar "" "NewButton1" "Open a file." openMacro))

    ;; Display the toolbar
    (vla-put-Visible newToolBar :vlax-true)

    (vla-put-CommandDisplayName newButton1 "Open a File")

    ;; Read the current value of the Help string
    (alert (strcat "The current CommandDisplayName for the toolbar button is: " (vla-get-CommandDisplayName newButton1)))

    ;; Change the value of the CommandDisplayName
    (vla-put-CommandDisplayName newButton1 "Open File")

    ;; Read the new value of the CommandDisplayName
    (alert (strcat "The new CommandDisplayName for the toolbar button is: " (vla-get-CommandDisplayName newButton1)))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 05:36

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部